ulams my
Generated from front/cli (ulams schema)
ulams my auth-device-requests
Section titled “ulams my auth-device-requests”Details of a pending device request (for the approval page).
Kind: read (idempotent). Stability: stable. MCP tool: my_auth_device_requests. Scopes: learner:read.
Endpoints: GET /api/auth/device/requests/{user_code}.
| Flag | Type | Required | Description |
|---|---|---|---|
--user-code (positional) |
string | yes |
# Details of a pending device request (for the approval page)ulams my auth-device-requests text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "user_code": { "type": "string" } }, "required": [ "user_code" ], "additionalProperties": {}}ulams my auth-device-requests-approve
Section titled “ulams my auth-device-requests-approve”Approve a device request.
Kind: write. Stability: stable. MCP tool: my_auth_device_requests_approve. Scopes: learner:write.
Endpoints: POST /api/auth/device/requests/{user_code}/approve.
| Flag | Type | Required | Description |
|---|---|---|---|
--user-code (positional) |
string | yes | |
--expires-in-days |
integer | ||
--scopes |
array | yes |
# Approve a device requestulams my auth-device-requests-approve text --scopes text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "user_code": { "type": "string" }, "expires_in_days": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "scopes": { "type": "array", "items": { "type": "string" } } }, "required": [ "user_code", "scopes" ], "additionalProperties": {}}ulams my auth-device-requests-deny
Section titled “ulams my auth-device-requests-deny”Deny a device request.
Kind: write. Stability: stable. MCP tool: my_auth_device_requests_deny. Scopes: learner:write.
Endpoints: POST /api/auth/device/requests/{user_code}/deny.
| Flag | Type | Required | Description |
|---|---|---|---|
--user-code (positional) |
string | yes | |
--body |
unknown | Request body (JSON) |
# Deny a device requestulams my auth-device-requests-deny text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "user_code": { "type": "string" }, "body": { "description": "Request body (JSON)" } }, "required": [ "user_code" ], "additionalProperties": {}}ulams my auth-logout
Section titled “ulams my auth-logout”User logout.
Kind: write. Stability: stable. MCP tool: my_auth_logout. Scopes: learner:write.
Endpoints: POST /api/auth/logout.
| Flag | Type | Required | Description |
|---|---|---|---|
--body |
unknown | Request body (JSON) |
# User logoutulams my auth-logout --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams my auth-refresh
Section titled “ulams my auth-refresh”Refresh access token.
Kind: read (idempotent). Stability: stable. MCP tool: my_auth_refresh. Scopes: learner:read.
Endpoints: GET /api/auth/refresh.
# Refresh access tokenulams my auth-refresh --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my bookmarks-create
Section titled “ulams my bookmarks-create”Store a newly created bookmark.
Kind: write. Stability: stable. MCP tool: my_bookmarks_create. Scopes: learner:write.
Endpoints: POST /api/bookmarks.
| Flag | Type | Required | Description |
|---|---|---|---|
--bookmarkable-id |
integer | yes | bookmarkable_id |
--bookmarkable-type |
string | yes | bookmarkable_type |
--value |
string | value |
# Store a newly created bookmarkulams my bookmarks-create --bookmarkable-id text --bookmarkable-type text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "bookmarkable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "bookmarkable_id" }, "bookmarkable_type": { "type": "string", "description": "bookmarkable_type" }, "value": { "type": "string", "description": "value" } }, "required": [ "bookmarkable_id", "bookmarkable_type" ], "additionalProperties": {}}ulams my bookmarks-delete
Section titled “ulams my bookmarks-delete”Remove the specified bookmark.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_bookmarks_delete. Scopes: learner:write.
Endpoints: DELETE /api/bookmarks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of bookmark |
# Remove the specified bookmarkulams my bookmarks-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of bookmark" } }, "required": [ "id" ], "additionalProperties": {}}ulams my bookmarks-list
Section titled “ulams my bookmarks-list”Get a listing of the bookmarks.
Kind: read (idempotent). Stability: stable. MCP tool: my_bookmarks_list. Scopes: learner:read.
Endpoints: GET /api/bookmarks.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--has-value |
boolean | Has value | |
--bookmarkable-id |
number | Bookmarkalbe ID | |
--bookmarkable-ids[] |
array | An array of bookmark IDs. | |
--bookmarkable-type |
string | Bookmarkalbe type |
# Get a listing of the bookmarksulams my bookmarks-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "id", "value" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "has_value": { "type": "boolean", "description": "Has value" }, "bookmarkable_id": { "type": "number", "description": "Bookmarkalbe ID" }, "bookmarkable_ids[]": { "type": "array", "items": { "type": "number" }, "description": "An array of bookmark IDs." }, "bookmarkable_type": { "type": "string", "description": "Bookmarkalbe type" } }, "additionalProperties": {}}ulams my bookmarks-update
Section titled “ulams my bookmarks-update”Update bookmark.
Kind: write. Stability: stable. MCP tool: my_bookmarks_update. Scopes: learner:write.
Endpoints: PATCH /api/bookmarks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of bookmark |
--bookmarkable-id |
integer | bookmarkable_id | |
--bookmarkable-type |
string | bookmarkable_type | |
--value |
string | value |
# Update bookmarkulams my bookmarks-update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of bookmark" }, "bookmarkable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "bookmarkable_id" }, "bookmarkable_type": { "type": "string", "description": "bookmarkable_type" }, "value": { "type": "string", "description": "value" } }, "required": [ "id" ], "additionalProperties": {}}ulams my cart-add
Section titled “ulams my cart-add”Add productable to cart.
Kind: write. Stability: stable. MCP tool: my_cart_add. Scopes: learner:write.
Endpoints: POST /api/cart/add.
| Flag | Type | Required | Description |
|---|---|---|---|
--productable-id |
integer | yes | |
--productable-type |
string | yes |
# Add productable to cartulams my cart-add --productable-id text --productable-type text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "productable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "productable_type": { "type": "string" } }, "required": [ "productable_id", "productable_type" ], "additionalProperties": {}}ulams my cart-list
Section titled “ulams my cart-list”Get cart details.
Kind: read (idempotent). Stability: stable. MCP tool: my_cart_list. Scopes: learner:read.
Endpoints: GET /api/cart.
# Get cart detailsulams my cart-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my cart-missing
Section titled “ulams my cart-missing”Add missing products to Cart.
Kind: write. Stability: stable. MCP tool: my_cart_missing. Scopes: learner:write.
Endpoints: POST /api/cart/missing.
| Flag | Type | Required | Description |
|---|---|---|---|
--products |
array |
# Add missing products to Cartulams my cart-missing --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "products": { "type": "array", "items": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } } }, "additionalProperties": {}}ulams my cart-pay
Section titled “ulams my cart-pay”Pay for cart.
Kind: write. Stability: stable. MCP tool: my_cart_pay. Scopes: learner:write.
Endpoints: POST /api/cart/pay.
| Flag | Type | Required | Description |
|---|---|---|---|
--client-city |
string | ||
--client-company |
string | ||
--client-country |
string | ||
--client-email |
string | ||
--client-name |
string | ||
--client-postal |
string | ||
--client-street |
string | ||
--client-street-number |
string | ||
--client-taxid |
string | ||
--payment-method-id |
string | yes |
# Pay for cartulams my cart-pay --payment-method-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "client_city": { "type": "string" }, "client_company": { "type": "string" }, "client_country": { "type": "string" }, "client_email": { "type": "string" }, "client_name": { "type": "string" }, "client_postal": { "type": "string" }, "client_street": { "type": "string" }, "client_street_number": { "type": "string" }, "client_taxid": { "type": "string" }, "paymentMethodId": { "type": "string" } }, "required": [ "paymentMethodId" ], "additionalProperties": {}}ulams my cart-products
Section titled “ulams my cart-products”Add product to cart and/or set product quantity.
Kind: write. Stability: stable. MCP tool: my_cart_products. Scopes: learner:write.
Endpoints: POST /api/cart/products.
| Flag | Type | Required | Description |
|---|---|---|---|
--id |
integer | yes | |
--quantity |
integer |
# Add product to cart and/or set product quantityulams my cart-products --id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "quantity": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams my cart-products-delete
Section titled “ulams my cart-products-delete”Remove product from cart.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_cart_products_delete. Scopes: learner:write.
Endpoints: DELETE /api/cart/products/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | product id |
# Remove product from cartulams my cart-products-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "product id" } }, "required": [ "id" ], "additionalProperties": {}}ulams my cart-voucher-add
Section titled “ulams my cart-voucher-add”Add Voucher Code to your Cart.
Kind: write. Stability: stable. MCP tool: my_cart_voucher_add. Scopes: learner:write.
Endpoints: POST /api/cart/voucher.
| Flag | Type | Required | Description |
|---|---|---|---|
--code |
string |
# Add Voucher Code to your Cartulams my cart-voucher-add --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "code": { "type": "string" } }, "additionalProperties": {}}ulams my cart-voucher-delete
Section titled “ulams my cart-voucher-delete”Remove Voucher from your Cart.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_cart_voucher_delete. Scopes: learner:write.
Endpoints: DELETE /api/cart/voucher.
# Remove Voucher from your Cartulams my cart-voucher-delete --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my consultation-access-enquiries-create
Section titled “ulams my consultation-access-enquiries-create”Store a newly Consultation Access Enqiury.
Kind: write. Stability: stable. MCP tool: my_consultation_access_enquiries_create. Scopes: learner:write.
Endpoints: POST /api/consultation-access-enquiries.
| Flag | Type | Required | Description |
|---|---|---|---|
--consultation-id |
number | yes | consultation_id |
--description |
string | description | |
--proposed-terms |
array | ||
--related-id |
integer | related_id | |
--related-type |
string | related_type | |
--title |
string | title |
# Store a newly Consultation Access Enqiuryulams my consultation-access-enquiries-create --consultation-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "consultation_id": { "type": "number", "description": "consultation_id" }, "description": { "type": "string", "description": "description" }, "proposed_terms": { "type": "array", "items": { "type": "string" } }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "related_id" }, "related_type": { "type": "string", "description": "related_type" }, "title": { "type": "string", "description": "title" } }, "required": [ "consultation_id" ], "additionalProperties": {}}ulams my consultation-access-enquiries-delete
Section titled “ulams my consultation-access-enquiries-delete”Remove the specified Consultation Access Enquiry.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_consultation_access_enquiries_delete. Scopes: learner:write.
Endpoints: DELETE /api/consultation-access-enquiries/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID |
# Remove the specified Consultation Access Enquiryulams my consultation-access-enquiries-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID" } }, "required": [ "id" ], "additionalProperties": {}}ulams my consultation-access-enquiries-get
Section titled “ulams my consultation-access-enquiries-get”Get my consultation access enquiry by id.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultation_access_enquiries_get. Scopes: learner:read.
Endpoints: GET /api/consultation-access-enquiries/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Get my consultation access enquiry by idulams my consultation-access-enquiries-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams my consultation-access-enquiries-join
Section titled “ulams my consultation-access-enquiries-join”Get url to consultation by enquiry id.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultation_access_enquiries_join. Scopes: learner:read.
Endpoints: GET /api/consultation-access-enquiries/{id}/join.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Get url to consultation by enquiry idulams my consultation-access-enquiries-join 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams my consultation-access-enquiries-list
Section titled “ulams my consultation-access-enquiries-list”Get my consultation access enquiries.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultation_access_enquiries_list. Scopes: learner:read.
Endpoints: GET /api/consultation-access-enquiries.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
integer | ||
--per-page |
integer | ||
--consultation-id |
number | ||
--status |
string | ||
--proposed-at-from |
string | Proposed at from | |
--proposed-at-to |
string | Proposed at to | |
--is-coming |
string | approved future or past consultations | |
--consultation-term-ids[] |
array |
# Get my consultation access enquiriesulams my consultation-access-enquiries-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "consultation_id": { "type": "number" }, "status": { "type": "string", "enum": [ "pending", "approved" ] }, "proposed_at_from": { "type": "string", "description": "Proposed at from" }, "proposed_at_to": { "type": "string", "description": "Proposed at to" }, "is_coming": { "type": "string", "enum": [ "true", "false" ], "description": "approved future or past consultations" }, "consultation_term_ids[]": { "type": "array", "items": {} } }, "additionalProperties": {}}ulams my consultation-access-enquiries-update
Section titled “ulams my consultation-access-enquiries-update”Update Consultation Access Enqiury.
Kind: write. Stability: stable. MCP tool: my_consultation_access_enquiries_update. Scopes: learner:write.
Endpoints: PATCH /api/consultation-access-enquiries/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID |
--description |
string | description | |
--proposed-terms |
array | ||
--related-id |
integer | related_id | |
--related-type |
string | related_type | |
--title |
string | title |
# Update Consultation Access Enqiuryulams my consultation-access-enquiries-update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID" }, "description": { "type": "string", "description": "description" }, "proposed_terms": { "type": "array", "items": { "type": "string" } }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "related_id" }, "related_type": { "type": "string", "description": "related_type" }, "title": { "type": "string", "description": "title" } }, "required": [ "id" ], "additionalProperties": {}}ulams my consultations-change-term
Section titled “ulams my consultations-change-term”Change term in consultation with tutor.
Kind: write. Stability: stable. MCP tool: my_consultations_change_term. Scopes: learner:write.
Endpoints: POST /api/consultations/change-term/{consultationTermId}.
| Flag | Type | Required | Description |
|---|---|---|---|
--consultation-term-id (positional) |
string | yes | |
--executed-at |
string | ||
--for-all-users |
boolean | ||
--term |
string |
# Change term in consultation with tutorulams my consultations-change-term text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "consultationTermId": { "type": [ "string", "number" ] }, "executed_at": { "type": "string" }, "for_all_users": { "type": "boolean" }, "term": { "type": "string" } }, "required": [ "consultationTermId" ], "additionalProperties": {}}ulams my consultations-finish-term
Section titled “ulams my consultations-finish-term”Finish consultation term.
Kind: write. Stability: stable. MCP tool: my_consultations_finish_term. Scopes: learner:write.
Endpoints: POST /api/consultations/finish-term/{consultationTermId}.
| Flag | Type | Required | Description |
|---|---|---|---|
--consultation-term-id (positional) |
integer | yes | |
--finished-at |
string | ||
--term |
string |
# Finish consultation termulams my consultations-finish-term 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "consultationTermId": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "finished_at": { "type": "string" }, "term": { "type": "string" } }, "required": [ "consultationTermId" ], "additionalProperties": {}}ulams my consultations-generate-jitsi
Section titled “ulams my consultations-generate-jitsi”Generate jitsi object for approved consultation term.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultations_generate_jitsi. Scopes: learner:read.
Endpoints: GET /api/consultations/generate-jitsi/{consultationTermId}.
| Flag | Type | Required | Description |
|---|---|---|---|
--consultation-term-id (positional) |
integer | yes | |
--term |
string | yes |
# Generate jitsi object for approved consultation termulams my consultations-generate-jitsi 1 --term text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "consultationTermId": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "term": { "type": "string" } }, "required": [ "consultationTermId", "term" ], "additionalProperties": {}}ulams my consultations-me
Section titled “ulams my consultations-me”Get a listing of the Consultations bought by user.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultations_me. Scopes: learner:read.
Endpoints: GET /api/consultations/me.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--paginate |
boolean | If true, list convert to paginate | |
--per-page |
number | Pagination Per Page | |
--name |
string | Consultation name %LIKE% | |
--ids[] |
array | Integer array | |
--status |
string | Consultation status == |
# Get a listing of the Consultations bought by userulams my consultations-me --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "finished_at", "started_at", "created_at", "name" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "paginate": { "type": "boolean", "description": "If true, list convert to paginate" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "name": { "type": "string", "description": "Consultation name %LIKE%" }, "ids[]": { "type": "array", "items": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "description": "Integer array" }, "status": { "type": "string", "description": "Consultation status ==" } }, "additionalProperties": {}}ulams my consultations-my-schedule
Section titled “ulams my consultations-my-schedule”Get Consultation schedule for tutor.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultations_my_schedule. Scopes: learner:read.
Endpoints: GET /api/consultations/my-schedule.
| Flag | Type | Required | Description |
|---|---|---|---|
--ids[] |
array | Consultation ID integer array |
# Get Consultation schedule for tutorulams my consultations-my-schedule --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "ids[]": { "type": "array", "items": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "description": "Consultation ID integer array" } }, "additionalProperties": {}}ulams my consultations-proposed-terms
Section titled “ulams my consultations-proposed-terms”Get proposedTerm For OrderItem.
Kind: read (idempotent). Stability: stable. MCP tool: my_consultations_proposed_terms. Scopes: learner:read.
Endpoints: GET /api/consultations/proposed-terms/{orderItemId}.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-item-id (positional) |
integer | yes |
# Get proposedTerm For OrderItemulams my consultations-proposed-terms 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "orderItemId": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "orderItemId" ], "additionalProperties": {}}ulams my consultations-report-term
Section titled “ulams my consultations-report-term”Report term with bought consultation.
Kind: write. Stability: stable. MCP tool: my_consultations_report_term. Scopes: learner:write.
Endpoints: POST /api/consultations/report-term/{orderItemId}.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-item-id (positional) |
integer | yes | |
--term |
string |
# Report term with bought consultationulams my consultations-report-term 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "orderItemId": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "term": { "type": "string" } }, "required": [ "orderItemId" ], "additionalProperties": {}}ulams my core-packages
Section titled “ulams my core-packages”List installed ulams packages.
Kind: read (idempotent). Stability: stable. MCP tool: my_core_packages. Scopes: learner:read.
Endpoints: GET /api/core/packages.
# List installed ulams packagesulams my core-packages --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my course-access-enquiries-create
Section titled “ulams my course-access-enquiries-create”Store a newly Course Access Enqiury.
Kind: write. Stability: stable. MCP tool: my_course_access_enquiries_create. Scopes: learner:write.
Endpoints: POST /api/course-access-enquiries.
| Flag | Type | Required | Description |
|---|---|---|---|
--course-id |
number | yes | course_id |
--data |
object | data |
# Store a newly Course Access Enqiuryulams my course-access-enquiries-create --course-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "course_id": { "type": "number", "description": "course_id" }, "data": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {}, "description": "data" } }, "required": [ "course_id" ], "additionalProperties": {}}ulams my course-access-enquiries-delete
Section titled “ulams my course-access-enquiries-delete”Remove the specified Course Access Enquiry.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_course_access_enquiries_delete. Scopes: learner:write.
Endpoints: DELETE /api/course-access-enquiries/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID |
# Remove the specified Course Access Enquiryulams my course-access-enquiries-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID" } }, "required": [ "id" ], "additionalProperties": {}}ulams my course-access-enquiries-list
Section titled “ulams my course-access-enquiries-list”Get my course access enquiries.
Kind: read (idempotent). Stability: stable. MCP tool: my_course_access_enquiries_list. Scopes: learner:read.
Endpoints: GET /api/course-access-enquiries.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
integer | ||
--limit |
integer | ||
--course-id |
number | ||
--status |
string |
# Get my course access enquiriesulams my course-access-enquiries-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "limit": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "course_id": { "type": "number" }, "status": { "type": "string", "enum": [ "pending", "approved" ] } }, "additionalProperties": {}}ulams my courses-authored
Section titled “ulams my courses-authored”Get a listing of the authored Courses.
Kind: read (idempotent). Stability: stable. MCP tool: my_courses_authored. Scopes: learner:read.
Endpoints: GET /api/courses/authored.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--order-by |
string | Order by column | |
--order |
string | Order direction |
# Get a listing of the authored Coursesulams my courses-authored --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "order_by": { "type": "string", "enum": [ "created_at", "title", "id", "status" ], "description": "Order by column" }, "order": { "type": "string", "enum": [ "ASC", "DESC" ], "description": "Order direction" } }, "additionalProperties": {}}ulams my courses-my
Section titled “ulams my courses-my”Get my course list IDs.
Kind: read (idempotent). Stability: stable. MCP tool: my_courses_my. Scopes: learner:read.
Endpoints: GET /api/courses/my.
| Flag | Type | Required | Description |
|---|---|---|---|
--active |
unknown |
# Get my course list IDsulams my courses-my --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "active": {} }, "additionalProperties": {}}ulams my courses-program
Section titled “ulams my courses-program”Display the specified Course program/curriculum/syllabus. No token required when course is free.
Kind: read (idempotent). Stability: stable. MCP tool: my_courses_program. Scopes: learner:read.
Endpoints: GET /api/courses/{id}/program.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Course |
# Display the specified Course program/curriculum/syllabus. No token required when course is freeulams my courses-program 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Course" } }, "required": [ "id" ], "additionalProperties": {}}ulams my courses-progress
Section titled “ulams my courses-progress”Get Progresses.
Kind: read (idempotent). Stability: stable. MCP tool: my_courses_progress. Scopes: learner:read.
Endpoints: GET /api/courses/progress.
# Get Progressesulams my courses-progress --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my courses-progress-list
Section titled “ulams my courses-progress-list”Show user course progress.
Kind: read (idempotent). Stability: stable. MCP tool: my_courses_progress_list. Scopes: learner:read.
Endpoints: GET /api/courses/progress/{course_id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--course-id (positional) |
number | yes |
# Show user course progressulams my courses-progress-list 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "course_id": { "type": "number" } }, "required": [ "course_id" ], "additionalProperties": {}}ulams my courses-progress-paginated
Section titled “ulams my courses-progress-paginated”Get Paginated Progresses.
Kind: read (idempotent). Stability: stable. MCP tool: my_courses_progress_paginated. Scopes: learner:read.
Endpoints: GET /api/courses/progress/paginated.
# Get Paginated Progressesulams my courses-progress-paginated --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my courses-progress-ping
Section titled “ulams my courses-progress-ping”Update time in course by ping.
Kind: write (idempotent). Stability: stable. MCP tool: my_courses_progress_ping. Scopes: learner:write.
Endpoints: PUT /api/courses/progress/{topic_id}/ping.
| Flag | Type | Required | Description |
|---|---|---|---|
--topic-id (positional) |
number | yes | |
--body |
unknown | Request body (JSON) |
# Update time in course by pingulams my courses-progress-ping 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "topic_id": { "type": "number" }, "body": { "description": "Request body (JSON)" } }, "required": [ "topic_id" ], "additionalProperties": {}}ulams my courses-progress-update
Section titled “ulams my courses-progress-update”Show user course progress.
Kind: write. Stability: stable. MCP tool: my_courses_progress_update. Scopes: learner:write.
Endpoints: PATCH /api/courses/progress/{course_id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--course-id (positional) |
number | yes | |
--progress[] |
array | yes | |
--body |
unknown | Request body (JSON) |
# Show user course progressulams my courses-progress-update 1 --progress[] text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "course_id": { "type": "number" }, "progress[]": { "type": "array", "items": { "type": "object", "properties": { "status": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "topic_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "additionalProperties": {} } }, "body": { "description": "Request body (JSON)" } }, "required": [ "course_id", "progress[]" ], "additionalProperties": {}}ulams my dictionaries-access
Section titled “ulams my dictionaries-access”Display my dictionaries.
Kind: read (idempotent). Stability: stable. MCP tool: my_dictionaries_access. Scopes: learner:read.
Endpoints: GET /api/dictionaries/access.
# Display my dictionariesulams my dictionaries-access --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my living-course-courses-freshness
Section titled “ulams my living-course-courses-freshness”Topics with an update under review (only when the course shows it).
Kind: read (idempotent). Stability: stable. MCP tool: my_living_course_courses_freshness. Scopes: learner:read.
Endpoints: GET /api/living-course/courses/{course}/freshness.
| Flag | Type | Required | Description |
|---|---|---|---|
--course (positional) |
integer | yes |
# Topics with an update under review (only when the course shows it)ulams my living-course-courses-freshness 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "course": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "course" ], "additionalProperties": {}}ulams my living-course-courses-notices
Section titled “ulams my living-course-courses-notices”The caller’s open update notices for a course.
Kind: read (idempotent). Stability: stable. MCP tool: my_living_course_courses_notices. Scopes: learner:read.
Endpoints: GET /api/living-course/courses/{course}/notices.
| Flag | Type | Required | Description |
|---|---|---|---|
--course (positional) |
integer | yes |
# The caller's open update notices for a courseulams my living-course-courses-notices 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "course": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "course" ], "additionalProperties": {}}ulams my living-course-notices-dismiss
Section titled “ulams my living-course-notices-dismiss”Mark a notice as reviewed.
Kind: write. Stability: stable. MCP tool: my_living_course_notices_dismiss. Scopes: learner:write.
Endpoints: POST /api/living-course/notices/{notice}/dismiss.
| Flag | Type | Required | Description |
|---|---|---|---|
--notice (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Mark a notice as reviewedulams my living-course-notices-dismiss 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "notice": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "notice" ], "additionalProperties": {}}ulams my mattermost-generate-credentials
Section titled “ulams my mattermost-generate-credentials”Generates user (creates one if not exists) credentials and sets a new random password.
Kind: read (idempotent). Stability: stable. MCP tool: my_mattermost_generate_credentials. Scopes: learner:read.
Endpoints: GET /api/mattermost/generate_credentials.
# Generates user (creates one if not exists) credentials and sets a new random passwordulams my mattermost-generate-credentials --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my mattermost-me
Section titled “ulams my mattermost-me”List all of the available mattermost teams and channels for a user.
Kind: read (idempotent). Stability: stable. MCP tool: my_mattermost_me. Scopes: learner:read.
Endpoints: GET /api/mattermost/me.
# List all of the available mattermost teams and channels for a userulams my mattermost-me --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my mattermost-reset-password
Section titled “ulams my mattermost-reset-password”Sends request for mattermost to send reset password link with email.
Kind: read (idempotent). Stability: stable. MCP tool: my_mattermost_reset_password. Scopes: learner:read.
Endpoints: GET /api/mattermost/reset_password.
# Sends request for mattermost to send reset password link with emailulams my mattermost-reset-password --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my notifications-read
Section titled “ulams my notifications-read”Mark notification as read.
Kind: write. Stability: stable. MCP tool: my_notifications_read. Scopes: learner:write.
Endpoints: POST /api/notifications/{notification}/read.
| Flag | Type | Required | Description |
|---|---|---|---|
--notification (positional) |
string | yes | Notification uuid / id |
--body |
unknown | Request body (JSON) |
# Mark notification as readulams my notifications-read text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "notification": { "type": "string", "description": "Notification uuid / id" }, "body": { "description": "Request body (JSON)" } }, "required": [ "notification" ], "additionalProperties": {}}ulams my notifications-tokens
Section titled “ulams my notifications-tokens”Store a newly notification device token.
Kind: write. Stability: stable. MCP tool: my_notifications_tokens. Scopes: learner:write.
Endpoints: POST /api/notifications/tokens.
| Flag | Type | Required | Description |
|---|---|---|---|
--token |
string | yes | token |
# Store a newly notification device tokenulams my notifications-tokens --token text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "token": { "type": "string", "description": "token" } }, "required": [ "token" ], "additionalProperties": {}}ulams my order-invoices-get
Section titled “ulams my order-invoices-get”Get invoice identified by a given id identifier of order.
Kind: read (idempotent). Stability: stable. MCP tool: my_order_invoices_get. Scopes: learner:read.
Endpoints: GET /api/order-invoices/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Order |
# Get invoice identified by a given id identifier of orderulams my order-invoices-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Order" } }, "required": [ "id" ], "additionalProperties": {}}ulams my orders-get
Section titled “ulams my orders-get”Display the specified Order.
Kind: read (idempotent). Stability: stable. MCP tool: my_orders_get. Scopes: learner:read.
Endpoints: GET /api/orders/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Order |
# Display the specified Orderulams my orders-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Order" } }, "required": [ "id" ], "additionalProperties": {}}ulams my orders-list
Section titled “ulams my orders-list”Search orders.
Kind: read (idempotent). Stability: stable. MCP tool: my_orders_list. Scopes: learner:read.
Endpoints: GET /api/orders.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
integer | Pagination Page Number | |
--per-page |
integer | Pagination Per Page | |
--product-id |
integer | Product ID | |
--productable-id |
integer | Productable ID (for example Course Id) | |
--productable-type |
string | Productable type (class) - required if productable_id is sent | |
--status |
integer | Status (0 = PROCESSING, 1 = PAID, 2 = CANCELLED) |
# Search ordersulams my orders-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "updated_at", "user_id" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Pagination Page Number" }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Pagination Per Page" }, "product_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Product ID" }, "productable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Productable ID (for example Course Id)" }, "productable_type": { "type": "string", "description": "Productable type (class) - required if productable_id is sent" }, "status": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Status (0 = PROCESSING, 1 = PAID, 2 = CANCELLED)" } }, "additionalProperties": {}}ulams my payments-get
Section titled “ulams my payments-get”Display the specified Payment.
Kind: read (idempotent). Stability: stable. MCP tool: my_payments_get. Scopes: learner:read.
Endpoints: GET /api/payments/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Payment |
# Display the specified Paymentulams my payments-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Payment" } }, "required": [ "id" ], "additionalProperties": {}}ulams my payments-list
Section titled “ulams my payments-list”Search payments.
Kind: read (idempotent). Stability: stable. MCP tool: my_payments_list. Scopes: learner:read.
Endpoints: GET /api/payments.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--status |
string | Payment status | |
--order-id |
string | External order id (e.g. from payment provider) | |
--payable-id |
number | Id of payable (e.g. order id) | |
--payable-type |
string | Full classname of payable model (eg. Ulams\Cart\Models\Order) | |
--date-from |
string | Date from | |
--date-to |
string | Date to |
# Search paymentsulams my payments-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "updated_at", "status", "payable_id", "user_id", "amount", "order_id", "id" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "status": { "type": "string", "enum": [ "new", "paid", "cancelled" ], "description": "Payment status" }, "order_id": { "type": "string", "description": "External order id (e.g. from payment provider)" }, "payable_id": { "type": "number", "description": "Id of payable (e.g. order id)" }, "payable_type": { "type": "string", "description": "Full classname of payable model (eg. Ulams\\Cart\\Models\\Order)" }, "date_from": { "type": "string", "description": "Date from" }, "date_to": { "type": "string", "description": "Date to" } }, "additionalProperties": {}}ulams my pdfs-generate
Section titled “ulams my pdfs-generate”Download a generated PDF (certificate).
Kind: read (idempotent). Stability: stable. MCP tool: my_pdfs_generate. Scopes: learner:read.
Endpoints: GET /api/pdfs/generate/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of the generated PDF |
--out |
string | Write the download to this path (- for stdout) |
# Download a generated PDF (certificate)ulams my pdfs-generate 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of the generated PDF" }, "out": { "description": "Write the download to this path (- for stdout)", "type": "string" } }, "required": [ "id" ], "additionalProperties": {}}ulams my pdfs-get
Section titled “ulams my pdfs-get”Display the specified generated PDF.
Kind: read (idempotent). Stability: stable. MCP tool: my_pdfs_get. Scopes: learner:read.
Endpoints: GET /api/pdfs/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of generated PDF |
# Display the specified generated PDFulams my pdfs-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of generated PDF" } }, "required": [ "id" ], "additionalProperties": {}}ulams my pdfs-list
Section titled “ulams my pdfs-list”Get generated PDFs.
Kind: read (idempotent). Stability: stable. MCP tool: my_pdfs_list. Scopes: learner:read.
Endpoints: GET /api/pdfs.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--assignable-type |
string | Assignable type (Ulams\Courses\Models\Course) | |
--assignable-id |
integer | Assignable ID |
# Get generated PDFsulams my pdfs-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "assignable_type": { "type": "string", "description": "Assignable type (Ulams\\Courses\\Models\\Course)" }, "assignable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Assignable ID" } }, "additionalProperties": {}}ulams my product-pay
Section titled “ulams my product-pay”Pay for single product.
Kind: write. Stability: stable. MCP tool: my_product_pay. Scopes: learner:write.
Endpoints: POST /api/product/{id}/pay.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | Product id |
--client-city |
string | ||
--client-company |
string | ||
--client-country |
string | ||
--client-email |
string | ||
--client-name |
string | ||
--client-postal |
string | ||
--client-street |
string | ||
--client-street-number |
string | ||
--client-taxid |
string | ||
--payment-method-id |
string | yes |
# Pay for single productulams my product-pay 1 --payment-method-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Product id" }, "client_city": { "type": "string" }, "client_company": { "type": "string" }, "client_country": { "type": "string" }, "client_email": { "type": "string" }, "client_name": { "type": "string" }, "client_postal": { "type": "string" }, "client_street": { "type": "string" }, "client_street_number": { "type": "string" }, "client_taxid": { "type": "string" }, "paymentMethodId": { "type": "string" } }, "required": [ "id", "paymentMethodId" ], "additionalProperties": {}}ulams my productables-attach
Section titled “ulams my productables-attach”Attach productable to user.
Kind: write. Stability: stable. MCP tool: my_productables_attach. Scopes: learner:write.
Endpoints: POST /api/productables/attach.
| Flag | Type | Required | Description |
|---|---|---|---|
--productable-id |
integer | yes | |
--productable-type |
string | yes |
# Attach productable to userulams my productables-attach --productable-id text --productable-type text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "productable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "productable_type": { "type": "string" } }, "required": [ "productable_id", "productable_type" ], "additionalProperties": {}}ulams my products-cancel
Section titled “ulams my products-cancel”Cancel recursive product.
Kind: write. Stability: stable. MCP tool: my_products_cancel. Scopes: learner:write.
Endpoints: POST /api/products/cancel/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Cancel recursive productulams my products-cancel 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams my products-get
Section titled “ulams my products-get”Read product.
Kind: read (idempotent). Stability: stable. MCP tool: my_products_get. Scopes: learner:read.
Endpoints: GET /api/products/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Read productulams my products-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams my products-list
Section titled “ulams my products-list”Search products.
Kind: read (idempotent). Stability: stable. MCP tool: my_products_list. Scopes: learner:read.
Endpoints: GET /api/products.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
integer | Pagination Page Number | |
--per-page |
integer | Pagination Per Page | |
--productable-id |
integer | Productable ID (for example Course Id) | |
--productable-type |
string | Productable type (class) - required if productable_id is sent | |
--free |
boolean | Find free (price = 0) | |
--name |
string | Partial name filter | |
--type |
string | Type (single or bundle) |
|
--tags |
array | Tags |
# Search productsulams my products-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "updated_at", "name" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Pagination Page Number" }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Pagination Per Page" }, "productable_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Productable ID (for example Course Id)" }, "productable_type": { "type": "string", "description": "Productable type (class) - required if productable_id is sent" }, "free": { "type": "boolean", "description": "Find free (price = 0)" }, "name": { "type": "string", "description": "Partial name filter" }, "type": { "type": "string", "description": "Type (`single` or `bundle`)" }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags" } }, "additionalProperties": {}}ulams my products-my
Section titled “ulams my products-my”Search my products.
Kind: read (idempotent). Stability: stable. MCP tool: my_products_my. Scopes: learner:read.
Endpoints: GET /api/products/my.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
integer | Pagination Page Number | |
--per-page |
integer | Pagination Per Page | |
--type |
string | Type (single, bundle, subscription, subscription-all-in) |
# Search my productsulams my products-my --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "updated_at", "id" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Pagination Page Number" }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Pagination Per Page" }, "type": { "type": "string", "description": "Type (`single`, `bundle`, `subscription`, `subscription-all-in`)" } }, "additionalProperties": {}}ulams my profile-delete-account
Section titled “ulams my profile-delete-account”Delete user profile.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_profile_delete_account. Scopes: learner:write.
Endpoints: DELETE /api/profile.
# Delete user profileulams my profile-delete-account --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my profile-delete-avatar
Section titled “ulams my profile-delete-avatar”Delete avatar.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_profile_delete_avatar. Scopes: learner:write.
Endpoints: DELETE /api/profile/delete-avatar.
# Delete avatarulams my profile-delete-avatar --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my profile-delete-init
Section titled “ulams my profile-delete-init”Create user deletion request.
Kind: write. Stability: stable. MCP tool: my_profile_delete_init. Scopes: learner:write.
Endpoints: POST /api/profile/delete/init.
| Flag | Type | Required | Description |
|---|---|---|---|
--return-url |
string | ||
--body |
unknown | Request body (JSON) |
# Create user deletion requestulams my profile-delete-init --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "return_url": { "type": "string" }, "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams my profile-interests
Section titled “ulams my profile-interests”Update user interests.
Kind: write (idempotent). Stability: stable. MCP tool: my_profile_interests. Scopes: learner:write.
Endpoints: PUT /api/profile/interests.
| Flag | Type | Required | Description |
|---|---|---|---|
--interests |
array | Array categories ids |
# Update user interestsulams my profile-interests --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "interests": { "type": "array", "items": { "type": "number" }, "description": "Array categories ids" } }, "additionalProperties": {}}ulams my profile-me-auth
Section titled “ulams my profile-me-auth”Update the profile authorization data.
Kind: write (idempotent). Stability: stable. MCP tool: my_profile_me_auth. Scopes: learner:write.
Endpoints: PUT /api/profile/me-auth.
| Flag | Type | Required | Description |
|---|---|---|---|
--email |
string | yes | |
--body |
unknown | Request body (JSON) |
# Update the profile authorization dataulams my profile-me-auth --email user@example.com --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "email": { "type": "string" }, "body": { "description": "Request body (JSON)" } }, "required": [ "email" ], "additionalProperties": {}}ulams my profile-me-list
Section titled “ulams my profile-me-list”Get logged user info.
Kind: read (idempotent). Stability: stable. MCP tool: my_profile_me_list. Scopes: learner:read.
Endpoints: GET /api/profile/me.
# Get logged user infoulams my profile-me-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my profile-me-set
Section titled “ulams my profile-me-set”Update the profile.
Kind: write (idempotent). Stability: stable. MCP tool: my_profile_me_set. Scopes: learner:write.
Endpoints: PUT /api/profile/me.
| Flag | Type | Required | Description |
|---|---|---|---|
--first-name |
string | ||
--last-name |
string | ||
--age |
number | ||
--gender |
number | 1 - male, 2 - female | |
--country |
string | ||
--city |
string | ||
--street |
string | ||
--postcode |
string | ||
--phone |
string | phone | |
--body |
unknown | Request body (JSON) |
# Update the profileulams my profile-me-set --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "first_name": { "type": "string" }, "last_name": { "type": "string" }, "age": { "type": "number" }, "gender": { "type": "number", "description": "1 - male, 2 - female" }, "country": { "type": "string" }, "city": { "type": "string" }, "street": { "type": "string" }, "postcode": { "type": "string" }, "phone": { "type": "string", "description": "phone" }, "body": { "description": "Request body (JSON)" } }, "additionalProperties": {}}ulams my profile-password
Section titled “ulams my profile-password”Update password.
Kind: write (idempotent). Stability: stable. MCP tool: my_profile_password. Scopes: learner:write.
Endpoints: PUT /api/profile/password.
| Flag | Type | Required | Description |
|---|---|---|---|
--current-password |
string | yes | |
--new-password |
string | yes | |
--new-confirm-password |
string | yes | |
--body |
unknown | Request body (JSON) |
# Update passwordulams my profile-password --current-password text --new-password text --new-confirm-password text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "current_password": { "type": "string" }, "new_password": { "type": "string" }, "new_confirm_password": { "type": "string" }, "body": { "description": "Request body (JSON)" } }, "required": [ "current_password", "new_password", "new_confirm_password" ], "additionalProperties": {}}ulams my profile-settings-list
Section titled “ulams my profile-settings-list”Get user settings.
Kind: read (idempotent). Stability: stable. MCP tool: my_profile_settings_list. Scopes: learner:read.
Endpoints: GET /api/profile/settings.
# Get user settingsulams my profile-settings-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my profile-settings-set
Section titled “ulams my profile-settings-set”Update user settings.
Kind: write (idempotent). Stability: stable. MCP tool: my_profile_settings_set. Scopes: learner:write.
Endpoints: PUT /api/profile/settings.
| Flag | Type | Required | Description |
|---|---|---|---|
--setting-key |
object | Example setting | |
--setting-key2 |
object | Example setting |
# Update user settingsulams my profile-settings-set --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "setting-key": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {}, "description": "Example setting" }, "setting-key2": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {}, "description": "Example setting" } }, "additionalProperties": {}}ulams my profile-upload-avatar
Section titled “ulams my profile-upload-avatar”Upload avatar.
Kind: write. Stability: stable. MCP tool: my_profile_upload_avatar. Scopes: learner:write.
Endpoints: POST /api/profile/upload-avatar.
| Flag | Type | Required | Description |
|---|---|---|---|
--avatar |
string | avatar (path of a local file) |
# Upload avatarulams my profile-upload-avatar --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "avatar": { "type": "string", "description": "avatar (path of a local file)" } }, "additionalProperties": {}}ulams my questionnaire-get
Section titled “ulams my questionnaire-get”Read a questionnaire identified by a given id identifier and model.
Kind: read (idempotent). Stability: stable. MCP tool: my_questionnaire_get. Scopes: learner:read.
Endpoints: GET /api/questionnaire/{model_type_title}/{model_id}/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--model-type-title (positional) |
string | yes | Name of Model (Course, Webinar etd.) |
--model-id (positional) |
integer | yes | id of Model (Course, Webinar etd.) |
--id (positional) |
integer | yes | id of Questionnaire |
# Read a questionnaire identified by a given id identifier and modelulams my questionnaire-get text 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "model_type_title": { "type": "string", "description": "Name of Model (Course, Webinar etd.)" }, "model_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Model (Course, Webinar etd.)" }, "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Questionnaire" } }, "required": [ "model_type_title", "model_id", "id" ], "additionalProperties": {}}ulams my questionnaire-list
Section titled “ulams my questionnaire-list”Lists available questionnaires.
Kind: read (idempotent). Stability: stable. MCP tool: my_questionnaire_list. Scopes: learner:read.
Endpoints: GET /api/questionnaire/{model_type_title}/{model_id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--model-type-title (positional) |
string | yes | Name of Model (Course, Webinar etd.) |
--model-id (positional) |
integer | yes | id of Model (Course, Webinar etd.) |
# Lists available questionnairesulams my questionnaire-list text 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "model_type_title": { "type": "string", "description": "Name of Model (Course, Webinar etd.)" }, "model_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Model (Course, Webinar etd.)" } }, "required": [ "model_type_title", "model_id" ], "additionalProperties": {}}ulams my questionnaire-update
Section titled “ulams my questionnaire-update”Save a questionnaire answers.
Kind: write. Stability: stable. MCP tool: my_questionnaire_update. Scopes: learner:write.
Endpoints: POST /api/questionnaire/{model_type_title}/{model_id}/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--model-type-title (positional) |
string | yes | Name of Model (Course, Webinar etd.) |
--model-id (positional) |
integer | yes | id of Model (Course, Webinar etd.) |
--id (positional) |
integer | yes | id of questionnaire |
--note |
string | anser of text type | |
--question-id |
integer | question identified by id | |
--rate |
integer | rate from 1 to 5 |
# Save a questionnaire answersulams my questionnaire-update text 1 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "model_type_title": { "type": "string", "description": "Name of Model (Course, Webinar etd.)" }, "model_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Model (Course, Webinar etd.)" }, "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of questionnaire" }, "note": { "type": "string", "description": "anser of text type" }, "question_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "question identified by id" }, "rate": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "rate from 1 to 5" } }, "required": [ "model_type_title", "model_id", "id" ], "additionalProperties": {}}ulams my quiz-answers-all
Section titled “ulams my quiz-answers-all”Save your all answers.
Kind: write. Stability: stable. MCP tool: my_quiz_answers_all. Scopes: learner:write.
Endpoints: POST /api/quiz-answers/all.
| Flag | Type | Required | Description |
|---|---|---|---|
--answers |
array | yes | answers |
--topic-gift-quiz-attempt-id |
number | yes | attempt id |
# Save your all answersulams my quiz-answers-all --answers text --topic-gift-quiz-attempt-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "answers": { "type": "array", "items": { "type": "object", "properties": { "answer": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {} }, "topic_gift_question_id": { "type": "number" } }, "additionalProperties": {} }, "description": "answers" }, "topic_gift_quiz_attempt_id": { "type": "number", "description": "attempt id" } }, "required": [ "answers", "topic_gift_quiz_attempt_id" ], "additionalProperties": {}}ulams my quiz-answers-create
Section titled “ulams my quiz-answers-create”Save your answer.
Kind: write. Stability: stable. MCP tool: my_quiz_answers_create. Scopes: learner:write.
Endpoints: POST /api/quiz-answers.
| Flag | Type | Required | Description |
|---|---|---|---|
--answer |
object | yes | answer |
--topic-gift-question-id |
number | yes | question id |
--topic-gift-quiz-attempt-id |
number | attempt id |
# Save your answerulams my quiz-answers-create --answer text --topic-gift-question-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "answer": { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": {}, "description": "answer" }, "topic_gift_question_id": { "type": "number", "description": "question id" }, "topic_gift_quiz_attempt_id": { "type": "number", "description": "attempt id" } }, "required": [ "answer", "topic_gift_question_id" ], "additionalProperties": {}}ulams my quiz-attempts-create
Section titled “ulams my quiz-attempts-create”Create a new attempt or return an active attempt.
Kind: write. Stability: stable. MCP tool: my_quiz_attempts_create. Scopes: learner:write.
Endpoints: POST /api/quiz-attempts.
| Flag | Type | Required | Description |
|---|---|---|---|
--topic-gift-quiz-id |
number | yes | topic_gift_quiz_id |
# Create a new attempt or return an active attemptulams my quiz-attempts-create --topic-gift-quiz-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "topic_gift_quiz_id": { "type": "number", "description": "topic_gift_quiz_id" } }, "required": [ "topic_gift_quiz_id" ], "additionalProperties": {}}ulams my quiz-attempts-end
Section titled “ulams my quiz-attempts-end”Finish quiz attempt.
Kind: write. Stability: stable. MCP tool: my_quiz_attempts_end. Scopes: learner:write.
Endpoints: POST /api/quiz-attempts/{id}/end.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Finish quiz attemptulams my quiz-attempts-end 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams my quiz-attempts-get
Section titled “ulams my quiz-attempts-get”Get my quiz attempt by id.
Kind: read (idempotent). Stability: stable. MCP tool: my_quiz_attempts_get. Scopes: learner:read.
Endpoints: GET /api/quiz-attempts/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Get my quiz attempt by idulams my quiz-attempts-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams my quiz-attempts-list
Section titled “ulams my quiz-attempts-list”Get my quiz attempts.
Kind: read (idempotent). Stability: stable. MCP tool: my_quiz_attempts_list. Scopes: learner:read.
Endpoints: GET /api/quiz-attempts.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
integer | ||
--per-page |
integer | ||
--topic-gift-quiz-id |
number |
# Get my quiz attemptsulams my quiz-attempts-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "topic_gift_quiz_id": { "type": "number" } }, "additionalProperties": {}}ulams my settings-get
Section titled “ulams my settings-get”Display the specified public setting.
Kind: read (idempotent). Stability: stable. MCP tool: my_settings_get. Scopes: learner:read.
Endpoints: GET /api/settings/{group}/{key}.
| Flag | Type | Required | Description |
|---|---|---|---|
--group (positional) |
string | yes | group of setting |
--key (positional) |
string | yes | key of setting |
# Display the specified public settingulams my settings-get text text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "group": { "type": "string", "description": "group of setting" }, "key": { "type": "string", "description": "key of setting" } }, "required": [ "group", "key" ], "additionalProperties": {}}ulams my tasks-complete
Section titled “ulams my tasks-complete”Complete task.
Kind: write. Stability: stable. MCP tool: my_tasks_complete. Scopes: learner:write.
Endpoints: POST /api/tasks/complete/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
--body |
unknown | Request body (JSON) |
# Complete taskulams my tasks-complete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tasks-create
Section titled “ulams my tasks-create”Store a newly created task.
Kind: write. Stability: stable. MCP tool: my_tasks_create. Scopes: learner:write.
Endpoints: POST /api/tasks.
| Flag | Type | Required | Description |
|---|---|---|---|
--description |
string | description | |
--due-date |
string | due_date | |
--related-id |
integer | related_id | |
--related-type |
string | related_type | |
--title |
string | yes | title |
--type |
string | type |
# Store a newly created taskulams my tasks-create --title Example --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "description": { "type": "string", "description": "description" }, "due_date": { "type": "string", "description": "due_date" }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "related_id" }, "related_type": { "type": "string", "description": "related_type" }, "title": { "type": "string", "description": "title" }, "type": { "type": "string", "description": "type" } }, "required": [ "title" ], "additionalProperties": {}}ulams my tasks-delete
Section titled “ulams my tasks-delete”Remove the specified task.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_tasks_delete. Scopes: learner:write.
Endpoints: DELETE /api/tasks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
# Remove the specified taskulams my tasks-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tasks-get
Section titled “ulams my tasks-get”Task details.
Kind: read (idempotent). Stability: stable. MCP tool: my_tasks_get. Scopes: learner:read.
Endpoints: GET /api/tasks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
# Task detailsulams my tasks-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tasks-incomplete
Section titled “ulams my tasks-incomplete”Incomplete task.
Kind: write. Stability: stable. MCP tool: my_tasks_incomplete. Scopes: learner:write.
Endpoints: POST /api/tasks/incomplete/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task |
--body |
unknown | Request body (JSON) |
# Incomplete taskulams my tasks-incomplete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task" }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tasks-list
Section titled “ulams my tasks-list”Get a listing of the tasks.
Kind: read (idempotent). Stability: stable. MCP tool: my_tasks_list. Scopes: learner:read.
Endpoints: GET /api/tasks.
| Flag | Type | Required | Description |
|---|---|---|---|
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--title |
string | Task title %LIKE% | |
--type |
string | Task type | |
--user-id |
integer | Task user_id | |
--created-by-id |
integer | Task created_by_id | |
--related-type |
string | Task related_type | |
--related-id |
integer | Task related_id | |
--related-ids[] |
array | An array of related_id | |
--due-date-from |
string | Due date from | |
--due-date-to |
string | Due date to |
# Get a listing of the tasksulams my tasks-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "title": { "type": "string", "description": "Task title %LIKE%" }, "type": { "type": "string", "description": "Task type" }, "user_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Task user_id" }, "created_by_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Task created_by_id" }, "related_type": { "type": "string", "description": "Task related_type" }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "Task related_id" }, "related_ids[]": { "type": "array", "items": { "type": "number" }, "description": "An array of related_id" }, "due_date_from": { "type": "string", "description": "Due date from" }, "due_date_to": { "type": "string", "description": "Due date to" } }, "additionalProperties": {}}ulams my tasks-notes
Section titled “ulams my tasks-notes”Store a newly created task note.
Kind: write. Stability: stable. MCP tool: my_tasks_notes. Scopes: learner:write.
Endpoints: POST /api/tasks/notes.
| Flag | Type | Required | Description |
|---|---|---|---|
--note |
string | yes | note |
--task-id |
integer | yes | task_id |
# Store a newly created task noteulams my tasks-notes --note text --task-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "note": { "type": "string", "description": "note" }, "task_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "task_id" } }, "required": [ "note", "task_id" ], "additionalProperties": {}}ulams my tasks-notes-delete
Section titled “ulams my tasks-notes-delete”Remove the specified task notes.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_tasks_notes_delete. Scopes: learner:write.
Endpoints: DELETE /api/tasks/notes/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task note |
# Remove the specified task notesulams my tasks-notes-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task note" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tasks-notes-update
Section titled “ulams my tasks-notes-update”Update task note.
Kind: write. Stability: stable. MCP tool: my_tasks_notes_update. Scopes: learner:write.
Endpoints: PATCH /api/tasks/notes/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID of task note |
--note |
string | note | |
--task-id |
integer | task_id |
# Update task noteulams my tasks-notes-update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID of task note" }, "note": { "type": "string", "description": "note" }, "task_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "task_id" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tasks-update
Section titled “ulams my tasks-update”Update task.
Kind: write. Stability: stable. MCP tool: my_tasks_update. Scopes: learner:write.
Endpoints: PATCH /api/tasks/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
string | yes | |
--description |
string | description | |
--due-date |
string | due_date | |
--related-id |
integer | related_id | |
--related-type |
string | related_type | |
--title |
string | title | |
--type |
string | type |
# Update taskulams my tasks-update text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": [ "string", "number" ] }, "description": { "type": "string", "description": "description" }, "due_date": { "type": "string", "description": "due_date" }, "related_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "related_id" }, "related_type": { "type": "string", "description": "related_type" }, "title": { "type": "string", "description": "title" }, "type": { "type": "string", "description": "type" } }, "required": [ "id" ], "additionalProperties": {}}ulams my topic-project-solutions-create
Section titled “ulams my topic-project-solutions-create”Store a newly Project Solution.
Kind: write. Stability: stable. MCP tool: my_topic_project_solutions_create. Scopes: learner:write.
Endpoints: POST /api/topic-project-solutions.
| Flag | Type | Required | Description |
|---|---|---|---|
--file |
string | yes | file (path of a local file) |
--topic-id |
number | yes | topic_id |
# Store a newly Project Solutionulams my topic-project-solutions-create --file text --topic-id text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "file": { "type": "string", "description": "file (path of a local file)" }, "topic_id": { "type": "number", "description": "topic_id" } }, "required": [ "file", "topic_id" ], "additionalProperties": {}}ulams my topic-project-solutions-delete
Section titled “ulams my topic-project-solutions-delete”Remove the specified Project Solution.
Kind: destructive (idempotent). Stability: stable. MCP tool: my_topic_project_solutions_delete. Scopes: learner:write.
Endpoints: DELETE /api/topic-project-solutions/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID |
# Remove the specified Project Solutionulams my topic-project-solutions-delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID" } }, "required": [ "id" ], "additionalProperties": {}}ulams my topic-project-solutions-get
Section titled “ulams my topic-project-solutions-get”Get a single project solution.
Kind: read (idempotent). Stability: stable. MCP tool: my_topic_project_solutions_get. Scopes: learner:read.
Endpoints: GET /api/topic-project-solutions/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | ID |
# Get a single project solutionulams my topic-project-solutions-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "ID" } }, "required": [ "id" ], "additionalProperties": {}}ulams my topic-project-solutions-list
Section titled “ulams my topic-project-solutions-list”Get a listing of the project solutions.
Kind: read (idempotent). Stability: stable. MCP tool: my_topic_project_solutions_list. Scopes: learner:read.
Endpoints: GET /api/topic-project-solutions.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--course-id |
number | course id | |
--topic-id |
number | topic id |
# Get a listing of the project solutionsulams my topic-project-solutions-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "created_at", "id" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "course_id": { "type": "number", "description": "course id" }, "topic_id": { "type": "number", "description": "topic id" } }, "additionalProperties": {}}ulams my tutors-get
Section titled “ulams my tutors-get”Get tutor course/author ID.
Kind: read (idempotent). Stability: stable. MCP tool: my_tutors_get. Scopes: learner:read.
Endpoints: GET /api/tutors/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
number | yes |
# Get tutor course/author IDulams my tutors-get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "number" } }, "required": [ "id" ], "additionalProperties": {}}ulams my tutors-list
Section titled “ulams my tutors-list”Get Tutors.
Kind: read (idempotent). Stability: stable. MCP tool: my_tutors_list. Scopes: learner:read.
Endpoints: GET /api/tutors.
# Get Tutorsulams my tutors-list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams my webinars-generate-jitsi
Section titled “ulams my webinars-generate-jitsi”Generate jitsi object for approved webinar.
Kind: read (idempotent). Stability: stable. MCP tool: my_webinars_generate_jitsi. Scopes: learner:read.
Endpoints: GET /api/webinars/generate-jitsi/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Generate jitsi object for approved webinarulams my webinars-generate-jitsi 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams my webinars-me
Section titled “ulams my webinars-me”Get a listing of the Webinars bought by user.
Kind: read (idempotent). Stability: stable. MCP tool: my_webinars_me. Scopes: learner:read.
Endpoints: GET /api/webinars/me.
| Flag | Type | Required | Description |
|---|---|---|---|
--order-by |
string | ||
--order |
string | ||
--paginate |
boolean | If true, list convert to paginate | |
--page |
number | Pagination Page Number | |
--per-page |
number | Pagination Per Page | |
--name |
string | Webinar name %LIKE% | |
--status |
string | Webinar status == |
# Get a listing of the Webinars bought by userulams my webinars-me --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "order_by": { "type": "string", "enum": [ "finished_at", "started_at", "created_at", "name" ] }, "order": { "type": "string", "enum": [ "ASC", "DESC" ] }, "paginate": { "type": "boolean", "description": "If true, list convert to paginate" }, "page": { "type": "number", "description": "Pagination Page Number" }, "per_page": { "type": "number", "description": "Pagination Per Page" }, "name": { "type": "string", "description": "Webinar name %LIKE%" }, "status": { "type": "string", "description": "Webinar status ==" } }, "additionalProperties": {}}ulams my webinars-start-live-stream
Section titled “ulams my webinars-start-live-stream”Start live stream in yt.
Kind: read (idempotent). Stability: stable. MCP tool: my_webinars_start_live_stream. Scopes: learner:read.
Endpoints: GET /api/webinars/start-live-stream/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Start live stream in ytulams my webinars-start-live-stream 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}